#include <QtCore/QString>
#include <ostnormalprovider.h>
#pragma execution_character_set("utf-8")

namespace LAMPMainWidget {

OSTNormalProvider::OSTNormalProvider(QObject *parent)
    : TmsProvider(parent) {
  initCache();
}

QString
OSTNormalProvider::tileUrl(const LAMPMainWidget::PointXY &pos, int zoom) const {
  QString urlFmt = {"https://tile.openstreetmap.org/%1/%2/%3.png"};
  return QString(urlFmt).arg(zoom).arg(pos.y()).arg(pos.x());
}
//https://tile.openstreetmap.org/{z}/{x}/{y}.png
}

